mayarin
PATCH
/v1/catalog/products/{id}

Authorization

secretKey
AuthorizationBearer <token>

Server-side sk_ key. Grants a subset of the merchant's permissions.

In: header

Path Parameters

id*string

Header Parameters

Idempotency-Key*string

Stable unique key for this logical write. Keep it unchanged when retrying.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/catalog/products/string" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "merchantId": "string",  "sku": "string",  "name": "string",  "description": "string",  "prices": [    {      "amount": "string",      "asset": "string",      "formatted": "string",      "display": "string"    }  ],  "active": true,  "metadata": {    "property1": "string",    "property2": "string"  },  "createdAt": "string",  "updatedAt": "string",  "version": 0}